Skip to content

NSX Edge Nodes

All operations require authentication.

13 operationsv1/dedicatedCloud/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

Check edge capacity on global datastoresProduction

GET
/v1/dedicatedCloud/{serviceName}/canDeployNsxtEdgesOnGlobalDatastores

Check edge capacity on global datastores. Returns true when the global datastores have enough free space for the edge nodes. Set their number and size with count and size, MEDIUM by default.

Path parameters

serviceName
required
string

Domain of the service

Query parameters

count
integer

Number of edges wanted

size
NsxtEdgeSizeEnum

Size of NSX-T edge (default to MEDIUM)

ValuesLARGEMEDIUMXLARGE

Response

200booleansuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/canDeployNsxtEdgesOnGlobalDatastores \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

List edge nodesProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an edge nodeProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId}

Path parameters

datacenterId
required
integer

Id of the Datacenter

nsxtEdgeId
required
integer

Id of the NSX-T Edge

serviceName
required
string

Domain of the service

Response

200NsxtEdgesuccessful operation
diskLocation
read-only
string

Location of NSX-T Edge disks

hostId
read-only
integer

Host id where NSX-T Edge is located

ip
read-only
ip

IP of the NSX-T Edge

moRef
read-only
string

The VMware MoRef of the NSX-T Edge

name
read-only
string

Name of the NSX-T Edge

nsxtEdgeId
read-only
integer

Id of the NSX-T Edge

size
read-only
NsxtEdgeSizeEnum

Size of the NSX-T Edge

ValuesLARGEMEDIUMXLARGE
state
read-only
StateEnum

State of the NSX-T Edge

ValuesavailabledelivereddisableddisablingerrormigratingprovisionningrecyclingreservedtoDisabletoProvisiontoRecycletoRemovetoUnprovisionunprovisionningupgrading

Example uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "diskLocation": "string", "hostId": 0, "ip": "192.0.2.0", "moRef": "string", "name": "string", "nsxtEdgeId": 0, "size": "LARGE", "state": "available"}

Get the edge node resilience testProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId}/resilience

Path parameters

datacenterId
required
integer

Id of the Datacenter

nsxtEdgeId
required
integer

Id of the NSX-T Edge

serviceName
required
string

Domain of the service

Response

200NsxtEdgeResiliencesuccessful operation
state
read-only
StateEnum

State of the option

Valuesdisableddisablingenabledenablingerrormigratingunknown

Example uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId}/resilience \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "state": "disabled"}

Check if a resilience test can startProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId}/resilience/canBeEnabled

Check if a resilience test can start. Returns true when a resilience test can start on the edge node.

Path parameters

datacenterId
required
integer

Id of the Datacenter

nsxtEdgeId
required
integer

Id of the NSX-T Edge

serviceName
required
string

Domain of the service

Response

200booleansuccessful operation

Example uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId}/resilience/canBeEnabled \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

List edge node sizesProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdgesResizingCapabilities

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200NsxtEdgeSizingCapabilitysuccessful operation
size
string[]
—

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdgesResizingCapabilities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "size": [ "string" ]}

Get the maximum edge node countProduction

GET
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdgesScalingCapabilities

Get the maximum edge node count. Returns the maximum number of edge nodes supported in the datacenter.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200NsxtEdgeScalingCapabilitysuccessful operation
number
integer
—

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdgesScalingCapabilities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "number": 0}

Create an edge nodeProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge

Create an edge node. Adds an NSX-T edge node to the datacenter, up to the maximum given by nsxtEdgesScalingCapabilities. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Relocate an edge nodeProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId}/relocateEdge

Relocate an edge node. Moves the compute resources of the edge node to another host, its disks to another datastore, or both. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

nsxtEdgeId
required
integer

Id of the NSX-T Edge

serviceName
required
string

Domain of the service

Request body (required)

datastore
string

Datastore ID where you want to relocate NSX-T Edge disks

hostId
integer

Host ID where you want to relocate NSX-T Edge compute resources

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId}/relocateEdge \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Stop the resilience testProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId}/resilience/disable

Stop the resilience test. Stops the resilience test on the edge node. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

nsxtEdgeId
required
integer

Id of the NSX-T Edge

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId}/resilience/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Start a resilience testProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId}/resilience/enable

Start a resilience test. Puts the edge node in maintenance mode for the given duration, then reconnects it: 10 minutes to 24 hours, 1 hour by default. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

nsxtEdgeId
required
integer

Id of the NSX-T Edge

serviceName
required
string

Domain of the service

Request body (required)

duration
integer

Duration test in minutes. NSX-T Edge will be reconnected after this period (min:10min, max:24h, default:1h)

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId}/resilience/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Resize the edge nodesProduction

POST
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/resizeNsxtEdgeCluster

Resize the edge nodes. Changes the size of the edge nodes of the datacenter: MEDIUM, LARGE or XLARGE. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

size
required
NsxtEdgeSizeEnum

Size of NSX-T edge

ValuesLARGEMEDIUMXLARGE

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/resizeNsxtEdgeCluster \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Delete an edge nodeProduction

DELETE
/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId}

Delete an edge node. Removes the NSX-T edge node from the datacenter. Returns a task to track progress.

Path parameters

datacenterId
required
integer

Id of the Datacenter

nsxtEdgeId
required
integer

Id of the NSX-T Edge

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/nsxtEdge/{nsxtEdgeId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}